@import url("https://fonts.verwaltungsportal.de/import/?family=Jost:300,400,500,600,700,300i,400i,500i,600i,700i");

html {
  max-width: 1930px;
  margin-left: auto;
  margin-right: auto;
  background: #f2fdea;
  scroll-behavior: smooth;
  scroll-padding-top: 100px;
  scrollbar-color: #457925 #ffffff;
  scrollbar-width: thin;
}

body {
  font-family: "Jost", sans-serif;
  color: #222222;
  background: #ffffff;
  font-size: clamp(1rem, 2vw, 1.125rem);
  line-height: 1.5;
}

a {
  color: #457925;
}

a:is(:hover, :focus) {
  color: #457925;
  text-decoration: underline;
}

#content a {
  text-emphasis: unset;
}
#content a:is(:hover, :focus) {
  text-decoration: none;
}
b,
strong {
  font-weight: 600;
}

a:focus-visible,
button:focus-visible,
form:focus-visible,
input:focus-visible {
  outline: 3px solid #0066ff !important;
}

#overflow {
  overflow: clip;
  position: relative;
}

/* #region --------------------- topbar + contrast + styler + kontaktBtn ------------------------ */

#topbar {
  font-size: 0.875rem;
  background: #457925;
  overflow: hidden;
}

#topbar h2 {
  font-size: 0.875rem;
  font-weight: 400;
  color: #222222;
  margin: 10px 10px 0 10px;
  padding-left: 10px;
  width: unset;
}

#stylerBereich {
  display: flex;
  background-color: #5ea432;
  align-content: center;
  margin-right: 70px;
}

:is(#contrast_style, #style) button {
  border: none;
  display: inline-block;
  background: transparent;
  min-height: 24px;
}

#language a:is(:hover, :focus, .language-active) img,
:is(#contrast_style, #style) button:is(:hover, :focus) {
  background: rgba(255, 255, 255, 0.8);
}

/* style */

@media (min-width: 992px) {
  #style {
    padding: 5px 10px 5px 10px;
  }

  #style button {
    min-width: 30px;
    padding: 4px;
    color: inherit;
    text-align: center;
    line-height: 1;
  }
}

.kontaktBtn {
  color: #ffffff;
  font-weight: 500;
  line-height: 1.2;
  min-height: 34px;
  max-width: 50%;
}

@media (min-width: 992px) {
  .kontaktBtn {
    margin-left: 10px;
    max-width: 40%;
  }
}

.kontaktBtn a {
  color: #f4cc2b;
  padding: 8px 60px;
  display: inline-block;
}

.kontaktBtn a:is(:hover, :focus) {
  color: #ffffff;
}

/* #endregion ------------------ topbar + contrast + styler + kontaktBtn ------------------------ */

/* ------------------------------------------- logo --------------------------------------------- */

#logo {
  display: inline-block;
}

#logo img {
  display: block;
}

@media (max-width: 991px) {
  #logo img {
    max-width: calc(100vw - 120px);
    width: 100%;
  }
  #logo {
    padding: 15px 0;
  }
}

@media (min-width: 1200px) {
  #logo {
    left: -52px;
  }

  .is-sticky #logo {
    left: -40px;
  }

  .is-sticky #logo img {
    max-height: 80px;
  }
}

/* #region ---------------------------------- navigation ---------------------------------------- */

/* burgermenu for tablet */

@media (max-width: 991px) {
  .sticky-wrapper {
    height: unset !important;
  }

  nav.horizontally {
    position: static !important;
  }

  #burgerButton {
    font-size: 0;
    border: none !important;
    display: block;
    height: 50px;
    width: 60px;
    border-radius: 2px;
    padding: 6px 8px;
    cursor: pointer;
    background-color: #fff;
  }

  #burgerButton::before,
  #burgerButton::after,
  #burgerButtonInner {
    background-color: #457925;
    border-radius: 2px;
    position: absolute;
    width: 40px;
    height: 3px;
    left: 10px;
    transition:
      transform 200ms linear,
      opacity 200ms linear;
  }

  #burgerButton[aria-expanded="true"] #burgerButtonInner {
    transform: rotate(-45deg) translate(-6px, 6px);
  }

  #burgerButton[aria-expanded="true"]::before {
    opacity: 0;
  }

  #burgerButton[aria-expanded="true"]:after {
    transform: rotate(45deg) translate(-4px, -6px);
  }

  #burgerButtonInner {
    top: 16px;
  }

  #burgerButton::before {
    top: 24px;
    content: "";
  }

  #burgerButton::after {
    top: 32px;
    content: "";
  }

  .navbar-nav {
    margin: 20px 0;
    background-color: #ffffff;
  }

  .navbar-collapse {
    width: calc(100% - 90px);
    max-width: 300px;
    top: 0;
    background: #fff;
    padding-bottom: 140px;
    position: fixed;
    left: -100%;
    bottom: 0;
    z-index: 100;
    height: auto !important;
    opacity: 0;
    pointer-events: none;
    visibility: hidden;
    overflow-y: auto;
    transition:
      left 300ms linear,
      opacity 300ms linear,
      box-shadow 600ms linear;
    box-shadow: 250px 0 50vw 50vw rgba(255, 255, 255, 0);
  }

  .navbar-collapse:is([aria-expanded="true"], .in) {
    left: 0;
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
    box-shadow: 250px 0 50vw 50vw rgba(0, 0, 0, 0.6);
  }

  .navbar-header {
    position: fixed;
    top: 15px;
    right: 15px;
    z-index: 101;
  }

  .dropdown-toggle-button {
    background-color: #222222;
  }

  .dropdown-toggle-button::before,
  .dropdown-toggle-button::after {
    background-color: #457925;
  }

  .dropdown-toggle-button-wrapper {
    top: 5px;
  }

  .dropdown-toggle-button-wrapper2 {
    top: 5px;
  }
}

/* menu desktop */

@media (min-width: 992px) {
  nav.horizontally {
    background: #ffffff;
  }

  .is-sticky .horizontally {
    padding-top: 15px;
    box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.15);
  }

  nav.horizontally .navbar-nav {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
  }

  nav.horizontally .navbar-nav ul {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    display: block !important;
    pointer-events: none;
    opacity: 0;
    visibility: hidden;
    transition: opacity 300ms linear;
  }

  nav.horizontally .navbar-nav [class*="secondlevel"] > ul {
    left: 100%;
    top: 0;
  }

  nav.horizontally .navbar-nav li {
    position: relative;
  }

  nav.horizontally .navbar-nav li:is(.open:focus-within, :hover) > ul,
  nav.horizontally .navbar-nav li[class*="secondlevel"] > ul[style*="block"] {
    pointer-events: auto !important;
    opacity: 1 !important;
    visibility: visible;
  }

  nav.horizontally .navbar-nav li:is(:hover, :focus-within) > ul {
    z-index: 1003;
  }
}

/* toplevel */

nav.horizontally a[class*="toplevel"] {
  color: #222222;
  font-weight: 500;
  text-align: left;
  padding: 10px 15px;
  position: relative;
  font-size: 1rem;
  line-height: 1.2;
  text-decoration: none;
  position: relative;
}

@media (max-width: 991px) {
  nav.horizontally li[class*="toplevel"] {
    border-bottom: 1px solid #f2ece7;
  }

  nav.horizontally a[class*="toplevel"].dropdown-toggle {
    padding-right: 35px;
  }
  nav.horizontally a[class*="toplevel"] {
    overflow-wrap: break-word;
    word-wrap: break-word;
    -webkit-hyphens: auto;
    -ms-hyphens: auto;
    -moz-hyphens: auto;
    hyphens: auto;
  }
}

@media (min-width: 992px) {
  nav.horizontally a[class*="toplevel"] {
    padding: 20px 0 20px 0;
    text-align: center;
  }
}

/* toplevel-over */

nav.horizontally li[class*="toplevel"]:is(:hover, :focus-within) > a,
nav.horizontally li[class*="toplevel"] > a:is(:hover, :focus),
nav.horizontally li[class*="toplevel"].open > a,
nav.horizontally li[class*="toplevel"].open > a:is(:hover, :focus),
nav.horizontally li[class*="toplevel"][class*="_over"] > a,
nav.horizontally li[class*="toplevel"][class*="_over"] > a:is(:hover, :focus) {
  color: #457925;
}

/* secondlevel + thirdlevel dropdown-box */

nav.horizontally [class*="toplevel"] ul {
  background-color: rgba(255, 255, 255, 0.95);
  border-bottom: 8px solid #5ea432;
  box-shadow: 10px 15px 90px 0px rgba(0, 0, 0, 0.2);
  -webkit-box-shadow: 10px 15px 90px 0px rgba(0, 0, 0, 0.2);
  -moz-box-shadow: 10px 15px 90px 0px rgba(0, 0, 0, 0.2);
}

@media (max-width: 991px) {
  nav.horizontally [class*="toplevel"] > ul {
    padding: 15px;
  }
}

@media (min-width: 992px) {
  nav.horizontally [class*="toplevel"] ul {
    padding-top: 18px;
    padding-bottom: 18px;
  }

  nav.horizontally [class*="toplevel"] > ul {
    margin-top: 10px;
    left: -20px;
  }

  nav.horizontally :is([class*="toplevel"], [class*="secondlevel"]) > ul::before {
    content: "";
    position: absolute;
    display: block;
  }

  nav.horizontally [class*="toplevel"] > ul::before {
    height: 30px;
    left: 0;
    right: 0;
    top: -30px;
  }

  nav.horizontally [class*="secondlevel"] > ul {
    margin-left: 10px;
    margin-top: -18px;
  }

  nav.horizontally [class*="secondlevel"] > ul::before {
    width: 10px;
    top: 0;
    bottom: 0;
    left: -10px;
  }
}

/* secondlevel + thirdlevel */

nav.horizontally a:is([class*="secondlevel"], [class*="thirdlevel"]) {
  color: #222222;
  font-weight: 400;
  text-align: center;
  padding: 7px 35px;
  font-size: 1rem;
  line-height: 1.2;
  text-decoration: none;
}

@media (min-width: 992px) {
  nav.horizontally a:is([class*="secondlevel"], [class*="thirdlevel"]) {
    text-align: left;
    padding: 7px 20px;
  }
}

@media (max-width: 991px) {
  nav.horizontally a:is([class*="secondlevel"], [class*="thirdlevel"]) {
    overflow-wrap: break-word;
    word-wrap: break-word;
    -webkit-hyphens: auto;
    -ms-hyphens: auto;
    -moz-hyphens: auto;
    hyphens: auto;
  }
}

/* secondlevel + thirdlevel over */

nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"]):is(:hover, :focus-within) > a,
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"]) > a:is(:hover, :focus),
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"]).open > a,
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"]).open > a:is(:hover, :focus),
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"])[class*="_over"] > a,
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"])[class*="_over"] > a:is(:hover, :focus) {
  color: #457925;
}
/* #endregion ------------------------------- navigation ---------------------------------------- */

/* -------------------------------------------- banner ------------------------------------------ */

#slider {
  max-height: clamp(300px, 52vw, 500px);
  position: relative;
}

@media (min-width: 992px) {
  body.index #slider {
    max-height: clamp(400px, 72vw, 700px);
  }

  #headerpic a.nivo-prevNav {
    left: 65px;
  }

  #headerpic a.nivo-nextNav {
    right: 65px;
  }

  body.index #headerpic .nivo-controlNav {
    bottom: 100px !important;
  }
}

#headerpic {
  padding: 0;
  position: relative;
}

.slider-wrapper,
#slider {
  height: 100%;
}

.slider-mask {
  display: block;
  background: linear-gradient(to top, #457925, rgba(69, 121, 37, 0) 40%);
}

/* -------------------------------------------- welcome ----------------------------------------- */

#welcome {
  background: #457925;
  padding: 30px 0;
}

@media (min-width: 992px) {
  body.index #welcome {
    padding-top: 0;
  }
}

#welcome:has(#tabsBox) {
  background: #457925 linear-gradient(to top, #ffffff 90px, rgba(255, 255, 255, 0) 90px);
  padding-bottom: 0;
}

/* ------------------------------------------ bannerOverlay ------------------------------------- */

#bannerOverlay {
  z-index: 12;
  position: relative;
  font-size: clamp(26px, 5vw, 50px);
  line-height: 1.1;
  font-weight: 300;
  color: #fff;
}

@media (min-width: 992px) {
  #bannerOverlay {
    margin-top: -90px;
  }
}

#bannerOverlay :is(b, strong) {
  font-size: clamp(1.5625rem, 4vw, 2.1875rem);
  font-weight: 600;
}

/* #region ----------------------------------- search ------------------------------------------- */

#searchbar {
  margin-top: clamp(30px, 6vw, 40px);
}

@media (max-width: 991px) {
  #searchbar {
    margin-bottom: 30px;
  }
}

#searchbar .tabHeadline {
  font-size: 1.625rem;
  font-weight: 500;
  margin-bottom: 0;
  color: #fff;
}

#search {
  background: #ffffff;
  display: inline-flex;
  width: 100%;
  position: relative;
}

@media (max-width: 575px) {
  #search {
    margin-top: 20px;
  }
}

#search::before {
  content: "";
  position: absolute;
  right: 60px;
  top: 9px;
  bottom: 9px;
  width: 2px;
  background: rgba(41, 35, 0, 0.2);
}

#search_input {
  color: inherit;
  font-size: clamp(1rem, 2vw, 1.375rem);
  font-style: normal;
  background: transparent;
  padding: 13px clamp(15px, 2vw, 22px);
  border: 0;
  width: 100%;
}

#search_submit {
  width: 60px;
  flex-shrink: 0;
  background: url("../img/icon-suche.png") center no-repeat;
  padding: 0;
  cursor: pointer;
  border: none;
  font-size: 0;
  transition: all 300ms linear;
}

#search_submit:is(:hover, :focus) {
  background-color: #edf2e7;
}

#search_input::placeholder {
  color: inherit !important;
  opacity: 0.8 !important;
  font-style: italic !important;
}

/* #endregion -------------------------------- search ------------------------------------------- */

/* ----------------------------------------- scroll bottom -------------------------------------- */

#scrollBottom {
  position: relative;
  margin: 35px auto 0px auto;
  width: 40px;
  height: 38px;
  display: block;
  font-size: 0;
  color: inherit;
  animation: bounceAni 2s infinite 2s;
}

#scrollBottom:is(:hover, :focus) {
  animation-play-state: paused;
}

#scrollBottom::after {
  content: "";
  width: 25px;
  height: 25px;
  display: inline-block;
  border-left: 5px solid #fff;
  border-bottom: 5px solid #fff;
  transform: rotate(-45deg);
  transition: border 200ms linear;
}

#scrollBottom:is(:hover, :focus)::after {
  border-color: #f7df0b;
}

@keyframes bounceAni {
  0%,
  100%,
  20%,
  50%,
  80% {
    transform: translateY(0);
  }

  40% {
    transform: translateY(-10px);
  }

  60% {
    transform: translateY(-5px);
  }
}

/* ------------------------------------------- content ------------------------------------------ */

#content {
  text-align: left;
  padding-bottom: clamp(40px, 7vw, 95px);
  padding-top: clamp(40px, 4vw, 65px);
}

/* #region ----------------------------- tabSpecialHeadline ------------------------------------- */

.tabSpecialHeadline {
  font-size: 1rem;
}

.tabSpecialHeadline :is(h1, h2, h3, h4, h5, h6) {
  text-transform: none;
  font-weight: 600;
  position: relative;
  margin: 0;
  color: #fff;
}

.tabSpecialHeadline :is(i, em) {
  text-transform: uppercase;
  font-style: normal;
}

/* #endregion -------------------------- tabSpecialHeadline ------------------------------------- */

/* #region ------------------------------------ sgtabs -------------------------------------------- */

#sg-tabs {
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  padding: 60px 0 clamp(40px, 6vw, 100px) 0;
}

#sg-tabs > .row {
  row-gap: 30px;
}

#sg-tabs .tabSpecialHeadline :is(h1, h2, h3, h4, h5, h6)::after {
  content: "";
  display: none;
}
#sg-tabs .tabSpecialHeadline {
  color: #fff;
  margin-bottom: 40px;
}

#sg-tabs .tab {
  gap: 30px;
  font-size: 1rem;
  position: relative;
  background-color: #fff;
  padding: 40px 20px;
  border-top: solid 35px #5ea432;
  hyphens: auto;
}

@media (min-width: 992px) {
  #sg-tabs .tab {
    height: 100%;
  }
}

#sg-tabs .tab::after {
  content: "";
  position: absolute;
  display: block;
  top: -20px;
  left: 0;
  right: 0;
  width: 50px;
  height: 50px;
  margin: auto;
  background: #ffffff url("../img/icon-uhrzeit.png") center no-repeat;
  border-radius: 50%;
  z-index: 2;
}

#sg-tabs .tab .tabHeadline {
  color: #457925;
  font-weight: 500;
  font-size: 1.25rem;
}

/* --------------------------------- news -------------------------------------------- */
@media (min-width: 576px) {
  #news .tab {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (min-width: 992px) {
  #news .tab {
    grid-template-columns: repeat(4, 1fr);
  }
}

#news .tab_spacer {
  height: 0px;
}

#news .tab_link_entry {
  font-size: 1rem;
  margin-bottom: 30px;
}
#news .tab_link_title {
  color: #222222;
  font-weight: 500;
  font-size: 1rem;
  margin-bottom: 20px;
}
#news .tab_date {
  font-style: italic;
}
#news .tab_preview_picture,
#news .tab_link_mehr {
  display: none !important;
}

#news .mehrLink a {
  color: #457925;
  text-decoration: underline;
  font-variant-position: 1rem;
}
#news .mehrLink a:is(:hover, .focus) {
  text-decoration: none;
}
/* -------------------------------------- h1 - h6, newslink ------------------------------------- */

.h4link a:is(:link, :hover, :focus, :visited),
h6,
h5,
h4,
h3,
h2,
h1 {
  color: #222222;
  font-weight: 600;
  line-height: 1.2;
  font-family: "Jost", sans-serif;
}

h1,
.h1,
.legacy_h1 {
  font-size: clamp(2.1875rem, 4vw, 2.5rem);
}

h2,
.h2,
.legacy_h2,
.tabSpecialHeadline :is(h1, h2, h3, h4, h5, h6) {
  font-size: clamp(1.875rem, 3.5vw, 2.1875rem);
}

h3,
.h3,
.legacy_h3 {
  font-size: clamp(1.625rem, 3vw, 1.875rem);
}

h4,
.h4,
.h4link a:is(:link, :hover, :focus, :visited) .legacy_h4 {
  font-size: 1.5625rem;
}

h5,
.h5,
.legacy_h5 {
  font-size: 1.4375rem;
}

h6,
.h6,
.legacy_h6 {
  font-size: 1.3125rem;
}

/* #region -------------------------------- footerwrapper --------------------------------------- */

.footerwrapper {
  background: #fff;
  font-size: 1rem;
  position: relative;
  color: #222222;
}

.footerwrapper > .row {
  row-gap: 30px;
}

.footerwrapper > .row:first-child {
  padding: 40px 0 5px 0;
}

@media (min-width: 992px) {
  .footerwrapper > .row:first-child > * {
    padding-top: 50px;
    padding-bottom: 30px;
  }

  .footerwrapper > .row:first-child > *:nth-child(2)::before {
    content: "";
    position: absolute;
    left: -50px;
    top: 0;
    bottom: 0;
    width: 2px;
    margin: auto;
    background-color: rgba(0, 0, 0, 0.2);
  }
}

.footerwrapper > .row:last-child {
  padding: 30px 0;
}

.footerwrapper a {
  color: inherit;
}

.footerwrapper .tabHeadline {
  margin-bottom: 10px;
  font-size: 1.125rem;
  color: inherit;
}

.tabSocial .tabHeadline {
  margin: 0;
  width: auto;
}

.footerwrapper .tab2 {
  line-height: 1.8;
}

.footerwrapper .tab2 a {
  text-decoration: underline;
}

.footerwrapper .theme {
  line-height: 2;
}

.footerwrapper .theme ul {
  margin-top: 0 !important;
}

.tabButtons :is(p + p, a + a) {
  margin-top: 40px;
}

.tabButtons a {
  font-size: 1.125rem;
  font-weight: 500;
  border: 2px solid rgba(0, 0, 0, 0.2);
  text-decoration: none;
  padding: 12px 55px 12px 20px;
  display: block;
  position: relative;
  line-height: 1.2;
  hyphens: auto;
  max-width: 240px;
  margin-left: auto;
}

@media (max-width: 767px) {
  .tabButtons a {
    margin-right: auto;
  }
}

.tabButtons a:is(:hover, :focus) {
  background-color: #5ea432;
}

.tabButtons a::after {
  content: "\00BB";
  position: absolute;
  width: 50px;
  text-align: center;
  right: 0;
  top: 8px;
  bottom: 8px;
  font-size: 30px;
  line-height: 25px;
  border-left: 2px solid rgba(0, 0, 0, 0.2);
}

.tabSocial {
  font-weight: 500;
  font-size: 1.125rem;
  color: #222222;
}

/* #endregion ----------------------------- footerwrapper --------------------------------------- */

/* ------------------------------------------- vernetzt ----------------------------------------- */

#vernetzt {
  gap: 18px;
  text-align: right;
  font-size: 0.8125rem;
  color: inherit;
  line-height: 1.3;
  font-weight: 400;
  text-decoration: none;
  color: #222222;
}

#vernetzt span span {
  display: block;
}

/* --------------------------------------------- footer ----------------------------------------- */

#innerfooter {
  background: #5ea432;
  padding: 21px 0;
}

#innerfooter ul {
  padding: 0;
}

#innerfooter a {
  color: #222222;
  text-decoration: none;
  font-size: 0.875rem;
  padding: 5px;
  display: inline-block;
}

#innerfooter a:is(:hover, :focus) {
  color: #222222;
  text-decoration: underline;
}

@media (min-width: 576px) {
  #innerfooter li {
    display: inline-block;
  }

  #innerfooter li + li {
    margin-left: clamp(15px, 5vw, 50px);
  }
}

@media (max-width: 991px) {
  #news {
    border-bottom: solid 1px rgba(0, 0, 0, 0.5);
    padding-bottom: 20px;
  }

  .vernetztBereich {
    border-top: solid 1px rgba(0, 0, 0, 0.5);
    padding-top: 20px;
  }
}
@media (max-width: 575px) {
  .vernetztBereich {
    margin-top: 20px;
  }

  .tabButtons {
    border-top: solid 1px rgba(0, 0, 0, 0.5);
    padding-top: 20px;
  }
}

/* --------------------------------------------- contrast --------------------------------------- */

.contrast_dark :is(#language, #style, #contrast_style) {
  background-color: #ffffff !important;
}

.contrast_light_font #search_input {
  color: #000000 !important;
}

#scrollBottom a.contrast_dark_font:is(:hover, :focus)::after {
  border-color: rgba(0, 0, 0, 0.5) !important;
}

#scrollBottom a.contrast_light_font:is(:hover, :focus)::after {
  border-color: rgba(255, 255, 255, 0.5) !important;
}

:is(.contrast_light_font, .contrast_dark_font) #news .tab_link_title a::before,
:is(.contrast_light_font, .contrast_dark_font) .tab_link_title a::after {
  display: none !important;
}

.contrast_dark_font #vernetzt img {
  background-color: #000000;
}

.contrast_light_font .tabSocial img,
.contrast_dark_font #bannerOverlay {
  background-color: #ffffff;
}

#logo .contrast_dark img {
  background: #fff;
}

.navbar-default .navbar-nav > li:is(.contrast_light_font, .contrast_dark_font) .dropdown-menu > li:first-child,
.navbar-default .navbar-nav > li:is(.contrast_light_font, .contrast_dark_font) .dropdown-menu > li:last-child {
  display: none !important;
}
